## org.biojava.bio.dp.twohead
Class PairDPMatrix

    java.lang.Object
      org.biojava.bio.dp.twohead.PairDPMatrix

All Implemented Interfaces:
  Serializable, DPMatrix

    public class PairDPMatrix

extends Object
implements DPMatrix, Serializable

Storage structure for intermediate values from a pairwise dynamic programming run.

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`PairDPMatrix(DP dp, SymbolList seq0, SymbolList seq1)`

Method Summary
`double` `getCell(int[] indxs)`
`double` `getScore()`
`MarkovModel` `model()`
`State[]` `states()`
`SymbolList[]` `symList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PairDPMatrix

    public PairDPMatrix(DP dp,
                        SymbolList seq0,
                        SymbolList seq1)

Method Detail

### states

    public State[] states()

  Specified by:
    `states` in interface `DPMatrix`

### model

    public MarkovModel model()

  Specified by:
    `model` in interface `DPMatrix`

### symList

    public SymbolList[] symList()

  Specified by:
    `symList` in interface `DPMatrix`

### getScore

    public double getScore()

  Specified by:
    `getScore` in interface `DPMatrix`

### getCell

    public double getCell(int[] indxs)

  Specified by:
    `getCell` in interface `DPMatrix`